Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 537424 (CVE-2014-9636)

Summary: <app-arch/unzip-6.0_p20: out-of-bounds read/write in test_compr_eb() in extract.c
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: major CC: base-system
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://bugzilla.redhat.com/show_bug.cgi?id=1184985
Whiteboard: A2 [glsa]
Package list:
Runtime testing required: ---
Bug Depends on: 528082    
Bug Blocks:    

Description Agostino Sarubbo gentoo-dev 2015-01-23 08:54:59 UTC
From ${URL} :

It was reported [1] that OOB access (both read and write) issues exist in test_compr_eb (extract.c) 
that can result in application crash or other unspecified impact.

This vulnerability can be triggered via crafted zip archives with extra fields that advertise 
STORED method compression (i.e. no compression) and have uncompressed field sizes smaller than the 
corresponding compressed field sizes.

This issue is different from CVE-2014-8140 [2].

Proposed patch is attached.
Upstream bugreport: http://www.info-zip.org/phpBB3/viewtopic.php?f=7&t=450

[1]: http://seclists.org/oss-sec/2014/q4/1131
[2]: https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2014-8140


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 GLSAMaker/CVETool Bot gentoo-dev 2015-02-11 18:35:07 UTC
CVE-2014-9636 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-9636):
  unzip 6.0 allows remote attackers to cause a denial of service
  (out-of-bounds read or write and crash) via an extra field with an
  uncompressed size smaller than the compressed field size in a zip archive
  that advertises STORED method compression.
Comment 2 Yury German Gentoo Infrastructure gentoo-dev Security 2015-02-16 03:47:57 UTC
There looks to be a link to the patch that was accepted upstream on the RedHat page in URL.

Please take a look.
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-02-29 13:22:00 UTC
per previous comments and links patch is available upstream, please bump
Comment 4 SpanKY gentoo-dev 2016-04-03 00:06:34 UTC
fixed w/Debian patchset.  should be fine for stable.

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f65df71cdc392f85fd95ad5b8ef1508434e2a239
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2016-11-01 13:22:20 UTC
This issue was resolved and addressed in
 GLSA 201611-01 at https://security.gentoo.org/glsa/201611-01
by GLSA coordinator Aaron Bauman (b-man).